<mat-card>
  <mat-spinner *ngIf="isLoading" ></mat-spinner>
  <form *ngIf="!isLoading" (submit)="onaddQuote(addQuoteForm)" #addQuoteForm="ngForm" >
    <mat-form-field >
      <input matInput type="text" name="quoteText" ngModel  placeholder="Quote" #quoteTextInput="ngModel" required >
      <mat-error *ngIf="quoteTextInput.invalid" >
       Please enter Quote.
      </mat-error>
    </mat-form-field>
    <mat-form-field >
      <input matInput type="text" name="authorName" ngModel placeholder="Author Name" #authorNameInput="ngModel" required >
      <mat-error *ngIf="authorNameInput.invalid" >
       Please enter Author Name.
      </mat-error>
    </mat-form-field>
    <mat-form-field >
      <input matInput type="text" name="authorTitle" ngModel placeholder="Author Title" #authorTitleInput="ngModel" required >
      <mat-error *ngIf="authorTitleInput.invalid" >
       Please enter Author Title.
      </mat-error>
    </mat-form-field>
    <mat-form-field>
      <textarea  matInput type="text" name="description" ngModel placeholder="Description" #descriptionInput="ngModel" required ></textarea>
      <mat-error *ngIf="descriptionInput.invalid" >
       Please enter description.
      </mat-error>
    </mat-form-field>
    <button mat-raised-button color="primary" type="submit" *ngIf="!isLoading" >Add</button>
  </form>
</mat-card>
